diff --git a/host/utils/umtrx_ctrl.py b/host/utils/umtrx_ctrl.py
index da2e4b1..6586521 100644
--- a/host/utils/umtrx_ctrl.py
+++ b/host/utils/umtrx_ctrl.py
@@ -121,9 +121,12 @@ class umtrx_lms_device:
         self.spi = umtrx_dev_spi(umtrx_socket, net_address, lms_number)
 
     def reg_read(self, reg):
-        return self.spi.spi_rw(reg << 8, 16, 1)
+        data = self.spi.spi_rw(reg << 8, 16, 1)
+        print "REG READ  0x%x -> 0x%x" % (reg, data,)
+        return data
 
     def reg_write(self, reg, data):
+        print "REG WRITE 0x%x <- 0x%x" % (reg, data,)
         self.spi.spi_rw(((0x80 | reg) << 8) | data, 16, 0)
 
     def reg_rmw(self, reg, action):
